<?php
if (!defined('ABSPATH')) exit;

function zoddak_add_admin_menu() {

    add_menu_page(
        'Zoddak Integration',
        T_('Zoddak Integration'),
        'manage_options',
        'zoddak_new_devs_config',
        ['AdminController', 'newDevsConfig'],
        ZODDAK_PLUGIN_URL . 'images/zoddak-20x20.png',
        25
    );

    add_submenu_page(
        'zoddak_new_devs_config',
        T_('Properties Display'),
        T_('Properties Display'),
        'manage_options',
        'zoddak_customize_properties_display',
        ['AdminController', 'customizeProperties']
    );

    add_submenu_page(
        'zoddak_new_devs_config',
        T_('Customize Filter'),
        T_('Customize Filter'),
        'manage_options',
        'zoddak_customize_filters',
        ['AdminController', 'customizeFilters']
    );
    add_submenu_page(
        'zoddak_new_devs_config',
        T_('Property Details Display'),
        T_('Property Details Display'),
        'manage_options',
        'zoddak_customize_property_details',
        ['AdminController', 'customizeDetails']
    );
    add_submenu_page(
        'zoddak_new_devs_config',
        T_('New developments admin settings'),
        T_('New developments admin settings'),
        'manage_options',
        'zoddak_admin_settings',
        ['AdminController', 'newDevsSettingsView']
    );
    
}
add_action('admin_menu', 'zoddak_add_admin_menu');
